PDF::API2::Basic::PDF::Filter(3)

NAME
PDF::API2::Basic::PDF::Filter - Abstract superclass for PDF stream filters

SYNOPSIS
    $f = PDF::API2::Basic::PDF::Filter->new;
    $str = $f->outfilt($str, 1);
    print OUTFILE $str;

    while (read(INFILE, $dat, 4096))
    { $store .= $f->infilt($dat, 0); }
    $store .= $f->infilt("", 1);

DESCRIPTION
A Filter object contains state information for the process of outputting and inputting data through the filter. The precise state information stored is up to the particular filter and may range from nothing to whole objects created and destroyed.

Each filter stores different state information for input and output and thus may handle one input filtering process and one output filtering process at the same time.

METHODS

  PDF::API2::Basic::PDF::Filter->new
Creates a new filter object with empty state information ready for processing data both input and output.

  $dat = $f->infilt($str, $isend)
Filters from output to input the data. Notice that $isend == 0 implies that there is more data to come and so following it $f may contain state information (usually due to the break-off point of $str not being tidy). Subsequent calls will incorporate this stored state information.

$isend == 1 implies that there is no more data to follow. The final state of $f will be that the state information is empty. Error messages are most likely to occur here since if there is required state information to be stored following this data, then that would imply an error in the data.

  $str = $f->outfilt($dat, $isend)
Filter stored data ready for output. Parallels "infilt".